com.google.appengine.api.search

## Class SearchServiceFactory

- java.lang.Object
- - com.google.appengine.api.search.SearchServiceFactory

-     public final class SearchServiceFactory
      extends java.lang.Object

  An factory that creates default implementation of `SearchService`.

         SearchService search = SearchServiceFactory.getSearchService();

  Optionally, you may pass a `SearchServiceConfig` instance to customize the search service. e.g, setting deadline and namespace:

         SearchServiceFactory.getSearchService(
             SearchServiceConfig.newBuilder().setDeadline(10.0).setNamespace("acme").build())

- - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SearchService` | `getSearchService()` Equivalent to `getSearchService(SearchServiceConfig.newBuilder().build())`.
    `static SearchService` | `getSearchService(SearchServiceConfig config)` Returns an instance of the `SearchService` with the given config.
    `static SearchService` | `getSearchService(java.lang.String namespace)` Deprecated. Use `getSearchService(SearchServiceConfig)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getSearchService

          @Deprecated
          public static SearchService getSearchService(java.lang.String namespace)

      Deprecated. Use `getSearchService(SearchServiceConfig)`
      Returns an instance of the `SearchService`. The instance will exist in the user provided namespace. The namespace must be valid, as per `NamespaceManager.validateNamespace(String)` method.
      Parameters:
        `namespace` - a namespace to be assigned to the returned search service.
      Returns:
        the default implementation of `SearchService`.
      Throws:
        `java.lang.IllegalArgumentException` - if the namespace is invalid

    - #### getSearchService

          public static SearchService getSearchService(SearchServiceConfig config)

      Returns an instance of the `SearchService` with the given config.
      Parameters:
        `config` - a `SearchServiceConfig` instance that describes the requested search service. If no namespace provided in config, NamespaceManager.get() will be used.
      Returns:
        the default implementation of `SearchService`.

    - #### getSearchService

          public static SearchService getSearchService()

      Equivalent to `getSearchService(SearchServiceConfig.newBuilder().build())`.